App::Cme::Command::dump(3pm)

NAME
App::Cme::Command::dump - Dump the configuration of an application

VERSION
version 1.044

SYNOPSIS
  # dump ~/.ssh/config in cme syntax
  # (this example requires Config::Model::OpenSsh)
  $ cme dump -format cml ssh
  Host:"*" -
  Host:"*.debian.org"
    User=dod -

DESCRIPTION
Dump configuration content on STDOUT with YAML format.

By default, dump only custom values, i.e. different from application built-in values or model default values. You can use the "-dumptype" option for other types of dump:

 -dumptype [ full | custom | non_upstream_default ]

Choose to dump every values (full), or only customized values (default)

"non_upstream_default" is like "full" mode, but value identical with application default are omitted. But this should seldom happen.

By default, dump in yaml format. This can be changed in "json", "perl", "cml" (aka Config::Model::Loader format, "cds" is also accepted) with "-format" option.

Common options
See "Global Options" in cme.

SEE ALSO
cme

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014-2022 by Dominique Dumont <ddumont@cpan.org>.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999